# Dependencies on external packages

The PhyPiDAQ package relies on code from other packages providing the drivers for the supported devices and libraries
for data visualization:

## Drivers

- Adafruit ADX1x15 library - legacy version
  - Link: [https://github.com/adafruit/Adafruit_Python_ADS1x15](
  https://github.com/adafruit/Adafruit_Python_ADS1x15)
  - MIT License
- Adafruit Blinka
  - Link: [https://github.com/adafruit/Adafruit_Blinka](https://github.com/adafruit/Adafruit_Blinka)
  - MIT License
- Adafruit BMP280 library
  - Link: [https://github.com/adafruit/Adafruit_CircuitPython_BMP280](
  https://github.com/adafruit/Adafruit_CircuitPython_BMP280)
  - MIT License
- Adafruit BMP38X library
  - Link: [https://github.com/adafruit/Adafruit_CircuitPython_BMP3XX](
  https://github.com/adafruit/Adafruit_CircuitPython_BMP3XX)
  - MIT License
- Adafruit BME280 library
  - Link: [https://github.com/adafruit/Adafruit_CircuitPython_BME280](
  https://github.com/adafruit/Adafruit_CircuitPython_BME280)
  - MIT License
- Adafruit BME680 library
  - Link: [https://github.com/adafruit/Adafruit_CircuitPython_BME680](
  https://github.com/adafruit/Adafruit_CircuitPython_BME680)
  - MIT License
- Adafruit INA219 library
  - Link: [https://github.com/adafruit/Adafruit_CircuitPython_INA219](
  https://github.com/adafruit/Adafruit_CircuitPython_INA219)
  - MIT License
- Adafruit MAX31855 library
  - Link: [https://github.com/adafruit/Adafruit_CircuitPython_MAX31855](
  https://github.com/adafruit/Adafruit_CircuitPython_MAX31855)
  - MIT License
- Adafruit MAX31855 library - legacy version
  - Link: [https://github.com/adafruit/Adafruit_Python_MAX31855](
  https://github.com/adafruit/Adafruit_Python_MAX31855)
  - MIT License
- Adafruit MAX31865 library
  - Link: [https://github.com/adafruit/Adafruit_CircuitPython_MAX31865](
  https://github.com/adafruit/Adafruit_CircuitPython_MAX31865)
  - MIT License
- Adafruit MCP3008 library - legacy version
  - Link: [https://github.com/adafruit/Adafruit_Python_MCP3008](
  https://github.com/adafruit/Adafruit_Python_MCP3008)
  - MIT License
- W1ThermSensor library by Timo Furrer
  - Link: [https://github.com/timofurrer/w1thermsensor](https://github.com/timofurrer/w1thermsensor)
  - MIT License
- picoDAQ by Guenther Quast
  - Link: [https://github.com/GuenterQuast/picoDAQ](https://github.com/GuenterQuast/picoDAQ)
  - BSD-2-Clause License
- pico-python project by Colin O'Flynn and Mark Harfouche
  - Link: [https://github.com/colinoflynn/pico-python](https://github.com/colinoflynn/pico-python)
  - [Custom license](https://github.com/colinoflynn/pico-python/blob/master/LICENSE.md)
- Pico Technology Software Development Kit and Linux Software & Drivers for Oscilloscopes and Data Loggers
  - Link: [https://labs.picotech.com/raspbian](https://labs.picotech.com/raspbian)
  - More info: [https://www.picotech.com/downloads/linux](https://www.picotech.com/downloads/linux)
  - [Proprietary license](https://www.picotech.com/about/legal-information)

## Visualization

- matplotlib
  - Link: [https://matplotlib.org/](https://matplotlib.org/)
  - Scientific paper: [https://doi.org/10.1109/MCSE.2007.55](https://doi.org/10.1109/MCSE.2007.55)
- QT Framework
  - GPL v3 License
  - Tools:
    - QtCreator and QtDesigner
    - PyQt5-bindings
    - pyuic5
    - pyrcc5

## Mathematics

- numpy
  - Link: [https://numpy.org/](https://numpy.org/)
  - Scientific paper: [https://doi.org/10.1038/s41586-020-2649-2](https://doi.org/10.1038/s41586-020-2649-2)
